#include <Application.h>
#include <InterfaceKit.h>
#include <stdio.h>
#include <stdlib.h>
//#include <TranslationUtils.h>

enum
{
	DUALHEAD_CAPABLE=1<<8,
	DUALHEAD_BITS=3<<6,
	DUALHEAD_OFF=0<<6,
	DUALHEAD_CLONE=1<<6,
	DUALHEAD_ON=2<<6,
	DUALHEAD_SWITCH=3<<6,
	TVM_CAPABLE=1<<11,
	TVM_BITS=3<<9,
	TVM_PAL=1<<9,
	TVM_NTSC=2<<9
};

class DualHeadWindow : public BWindow 
{
public:
				DualHeadWindow(BRect frame); 
				~DualHeadWindow();
virtual	bool	QuitRequested();

void			MessageReceived(BMessage* message);

private:

BScreen *		screenInfo;
display_mode 	currentMode;
display_mode	selectedMode;
display_mode * 	screenModes;
uint32 			screenModeCount;

int      		tvMode;
enum {TV_MONITOR, TV_PAL, TV_NTSC};

BRadioButton *	multiHeadButton[4];
BBox *			configView;
BBox *			rightView;
BBox *			leftView;

void 			CreateMenus();
void			CreateRadio();

void			CalcModeInfo(display_mode *);
char 			resolution[64];
char 			refresh[64];
char 			depth[64];
char			info[250];

void			CheckMode();
void			fillMenus();

bool			firstRun;
BPopUpMenu *	resolutionPopup;
BPopUpMenu * 	refreshPopup;
BPopUpMenu *	depthPopup;

BMenuField *	resSelector;
BMenuField *	refSelector;
BMenuField *	depSelector;

BMenuBar *		mainBar;
BMenu	 *		BuildFileMenu(void) const;	
BMenu    *		BuildTVMenu(void) const;
BBitmap	 * 		GetBitmap(char*);
void			AboutRequested();

BBitmap	*		empire;
BBitmap	*		rebel;
BBitmap	*		combined;
bool 			frameState;
};

